Bug 208053 - [New Port] devel/gpm: Go Package Manager
Summary: [New Port] devel/gpm: Go Package Manager
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-03-16 07:01 UTC by lukejee
Modified: 2016-04-11 06:54 UTC (History)
2 users (show)

See Also:


Attachments
shar file (1.91 KB, application/x-shar)
2016-03-16 07:01 UTC, lukejee
no flags Details
Proposed changes to the port Makefile (487 bytes, text/plain)
2016-04-10 08:23 UTC, Thomas Zander
lukejee: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lukejee 2016-03-16 07:01:21 UTC
Created attachment 168283 [details]
shar file

Go Package Manager

https://github.com/pote/gpm

passed portlint check
Comment 1 Thomas Zander freebsd_committer 2016-04-10 08:23:21 UTC
Created attachment 169136 [details]
Proposed changes to the port Makefile

There are a couple of minor issues with the Makefile, so I propose some changes:
- Most importantly: It does not build due to its own Makefile. But since it's only installing a shell script, I added NO_BUILD
- GH_PROJECT is not necessary if it is identical to PORTNAME. Removed it.
- Added LICENSE_FILE.
- Added NO_ARCH since port does not install architecture-dependent files
- Removed ONLY_FOR_ARCH: This port itself is arch-independent. If dependent ports are only for certain archs, they will define so themselves
- Normalised tabstops to width 8

Please have a look and set maintainer-approval flag if you accept this proposal for Makefile.
Comment 2 lukejee 2016-04-11 05:20:13 UTC
Comment on attachment 169136 [details]
Proposed changes to the port Makefile

Thank you Thomas for helping me fixed my Makefile.
Comment 3 commit-hook freebsd_committer 2016-04-11 06:32:03 UTC
A commit references this bug:

Author: riggs
Date: Mon Apr 11 06:31:45 UTC 2016
New revision: 412998
URL: https://svnweb.freebsd.org/changeset/ports/412998

Log:
  Add new port: devel/gpm, a package manager for lang/go

  PR:		208053
  Submitted by:	lukejee@gmail.com (maintainer)

Changes:
  head/devel/Makefile
  head/devel/gpm/
  head/devel/gpm/Makefile
  head/devel/gpm/distinfo
  head/devel/gpm/pkg-descr